Get a resident payment by ID
https://api.propexo.com/v1/resident-payments/:resident_payment_idThe Resident Payments model provides a limited, one-sided view of a resident's financial history with a PMC and should not be treated as a comprehensive report of all payments that the resident has made. Due to the PMS API structure, this is a naturally high-volume endpoint. Since Propexo pricing is based on records returned, this may result in signficantly higher overall costs. We encourage you to reach out to support before activating.
Authentication
- AuthorizationBearerBearer authentication of the form
Bearer <token>, where token is your auth token.
Path parameters
The ID of the resource.
Query parameters
Order the results by a field. Optionally include asc or desc preceded by a colon (default is asc). Example: ?order-by=updated_at:desc
created_at:descFilter to records updated at or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)
Filter to records updated at or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)
Filter to records whose last_seen date is on or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)
Filter to records whose last_seen date is on or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)
Possible values: >= 0
Can be used for paginating results
0Possible values: >= 0 and <= 250
A number between 1 and 250 to determine the number of results to return in a single query
100Response
Successful response
- Array [
- ]
- Array [
- ]
meta objectrequired
The offset of the first result
Possible values: >= 0
0The number of results to return
Possible values: >= 0 and <= 250
100orderBy object[]required
The order of the results
Whether there are more results
The total number of results
Possible values: >= 0
1000results objectrequired
The Propexo unique identifier for the resident payment
clwktsp9v000008l31iv218hnThe date record first entered Propexo
2024-03-21T15:38:08.337ZThe date record was last updated in Propexo
2024-03-22T10:59:45.119ZThe date the record was last seen from the PMS
2024-03-22T10:59:45.119ZThe external ID from the integration vendor
| Method | Interface |
|---|---|
| /v1/leases/payments | Leases |
| /v1/leases/refunds | Leases |
4343717769The external ID of the property from the integration vendor
| Method | Interface |
|---|---|
| /v1/leases/payments | Leases |
| /v1/leases/refunds | Leases |
59537182The external ID of the general ledger account from the integration vendor
| Method | Interface |
|---|---|
| /v1/leases/payments | Leases |
| /v1/leases/refunds | Leases |
357281058The external ID of the location (exclusive to Rent Manager integrations). This is always null for non-Rent Manager integrations.
This field will always be null for PROPERTYWARE_REST
nullThe external ID of the lease from the integration vendor
| Method | Interface |
|---|---|
| /v1/leases/payments | Leases |
| /v1/leases/refunds | Leases |
27845671The external ID of the resident from the integration vendor
This field will always be null for PROPERTYWARE_REST
nullThe external ID of the unit from the integration vendor
| Method | Interface |
|---|---|
| /v1/leases/payments | Leases |
| /v1/leases/refunds | Leases |
557838The external ID of the charge code from the integration vendor
This field will always be null for PROPERTYWARE_REST
nullThe normalized method of payment for the resident payment
| Method | Interface |
|---|---|
| /v1/leases/payments | Leases |
CHECKThe raw method of payment for the resident payment
| Method | Interface |
|---|---|
| /v1/leases/payments | Leases |
SECTION8The amount of the resident payment, in cents
| Method | Interface |
|---|---|
| /v1/leases/payments | Leases |
| /v1/leases/refunds | Leases |
-20000The raw value for amount from the PMS
| Method | Interface |
|---|---|
| /v1/leases/payments | Leases |
| /v1/leases/refunds | Leases |
200.00The name associated with the resident payment
| Method | Interface |
|---|---|
| /v1/leases/payments | Leases |
| /v1/leases/refunds | Leases |
PAYMENTDescription of the resident payment
| Method | Interface |
|---|---|
| /v1/leases/payments | Leases |
Paid in person by JerryThe reference number for the resident payment
| Method | Interface |
|---|---|
| /v1/leases/payments | Leases |
| /v1/leases/refunds | Leases |
5122The transaction date of the resident payment
| Method | Interface |
|---|---|
| /v1/leases/payments | Leases |
| /v1/leases/refunds | Leases |
2023-04-21T00:00:00.000ZWhether the resident payment is open and not yet settled
This field will always be null for PROPERTYWARE_REST
nullThe post month for the resident payment
This field will always be null for PROPERTYWARE_REST
nullcustom_data object | nullrequired
The Propexo unique identifier for the integration
clwh5u07w000508me66sfh3umThe property management system of record
Show 13 enum values
PROPERTYWARE_RESTAPPFOLIOBUILDIUMENTRATAMRIPROPERTYWAREREALPAGEREALPAGE_RPXRENTMANAGERRENTVINERESMANYARDIYARDI_RESTPROPERTYWARE_RESTThe Propexo unique identifier for the property
clwi5xiix000008l6ctdgafyhThe Propexo unique identifier for the resident
This field will always be null for PROPERTYWARE_REST
nullThe Propexo unique identifier for the financial account
| Method | Interface |
|---|---|
| /v1/leases/payments | Leases |
| /v1/leases/refunds | Leases |
cm111hjt5000708lbbs44cjtsThe Propexo unique identifier for the unit
This field will always be null for PROPERTYWARE_REST
nullThe Propexo unique identifier for the lease
| Method | Interface |
|---|---|
| /v1/leases/payments | Leases |
| /v1/leases/refunds | Leases |
cm70kirrr29460295341h2g0bn44mxcaThe Propexo unique identifier for the charge code
This field will always be null for PROPERTYWARE_REST
nullallocations object[]required
Array of payment allocations, splits, and related transactions associated with the resident payment
The Propexo unique identifier for the resident allocation
clwktsp9v000008l31iv218hnThe external ID from the integration vendor
| Method | Interface |
|---|---|
| /v1/accounting/generalledger | Accounting |
5738100275-8635281836The external ID of the source transaction from the integration vendor
| Method | Interface |
|---|---|
| /v1/accounting/generalledger | Accounting |
574622569The external ID of the destination transaction from the integration vendor
| Method | Interface |
|---|---|
| /v1/accounting/generalledger | Accounting |
573829483The Propexo unique identifier for the financial account
| Method | Interface |
|---|---|
| /v1/accounting/generalledger | Accounting |
cm1b8bftm000208l485ya3kljThe amount of the resident allocation, in cents
| Method | Interface |
|---|---|
| /v1/accounting/generalledger | Accounting |
20000The raw value for amount from the PMS
| Method | Interface |
|---|---|
| /v1/accounting/generalledger | Accounting |
200The Propexo unique identifier for the resident charge
This field is not currently hydrated for PROPERTYWARE_REST
The Propexo unique identifier for the resident payment
The date record first entered Propexo
2024-03-21T15:38:08.337ZThe date record was last updated in Propexo
2024-03-22T10:59:45.119ZThe date the record was last seen from the PMS
2024-03-22T10:59:45.119Zcustom_data object | nullrequired
Errors
400Bad Request
error objectrequired
codestringrequiredExample:invalid_requestmessagestringrequiredExample:invalid requestdetails object
property name*anyExample:{"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
curl https://api.propexo.com/v1/resident-payments/:resident_payment_id \
-H "Authorization: Bearer <token>"
{
"meta": {
"offset": 0,
"limit": 100,
"orderBy": [
{}
],
"hasMore": true,
"total": 1000
},
"results": {
"id": "clwktsp9v000008l31iv218hn",
"created_at": "2024-03-21T15:38:08.337Z",
"updated_at": "2024-03-22T10:59:45.119Z",
"last_seen": "2024-03-22T10:59:45.119Z",
"x_id": "4343717769",
"x_property_id": "59537182",
"x_gl_account_id": "357281058",
"x_location_id": null,
"x_lease_id": "27845671",
"x_resident_id": null,
"x_unit_id": "557838",
"x_charge_code_id": null,
"payment_method_normalized": "CHECK",
"payment_method_raw": "SECTION8",
"amount_in_cents": -20000,
"amount_raw": "200.00",
"name": "PAYMENT",
"description": "Paid in person by Jerry",
"reference_number": "5122",
"transaction_date": "2023-04-21T00:00:00.000Z",
"is_open": null,
"post_month": null,
"custom_data": "Unknown Type: object,null",
"integration_id": "clwh5u07w000508me66sfh3um",
"integration_vendor": "PROPERTYWARE_REST",
"property_id": "clwi5xiix000008l6ctdgafyh",
"resident_id": null,
"financial_account_id": "cm111hjt5000708lbbs44cjts",
"unit_id": null,
"lease_id": "cm70kirrr29460295341h2g0bn44mxca",
"charge_code_id": null,
"allocations": [
{
"id": "clwktsp9v000008l31iv218hn",
"x_id": "5738100275-8635281836",
"x_source_id": "574622569",
"x_destination_id": "573829483",
"financial_account_id": "cm1b8bftm000208l485ya3klj",
"amount_in_cents": 20000,
"amount_raw": 200,
"resident_charge_id": "string",
"resident_payment_id": "string",
"created_at": "2024-03-21T15:38:08.337Z",
"updated_at": "2024-03-22T10:59:45.119Z",
"last_seen": "2024-03-22T10:59:45.119Z",
"custom_data": "Unknown Type: object,null"
}
]
}
}